#include <bits/stdc++.h>

using namespace std;
/*int solve2(int n, int k, vector<int> v){
    map<int,int> q;
    int ans=0;
    for(int i=0; i<k; i++){
        for(int j=i; j<k; j++){
            int t=v[i]+v[j];
            map<int,int>::iterator it=q.find(t);
            if(it==q.end()){
                q[t]=t/2-max(t-n,1ll);
                if(max(t-n,1ll)>=t/2)
                    ans++;
            }
            else{
                if(it->second==1)
                    ans++;
                q[t]--;
            }
        }
    }
    for(map<int,int>::iterator it=q.begin(); it!=q.end(); ++it){
        cout << it->first << " " << it->second << "\n";
    }
    return 2*n-1-ans;
}*/
int solve(int n, int k, vector<int> v){
    vector<int> cou(2*n+1);
    vector<int> used(n+1);
    for(int i=0; i<v.size(); i++){
        used[v[i]]=1;
    }
    for(int i=2; i<cou.size(); i++){
        cou[i]=i/2-max(1,i-n)+1;
    }
    for(int i=0; i<k; i++){
        for(int j=1; j<=n; j++){
            if(!used[j])cou[v[i]+j]--;
        }
    }
    for(int i=0; i<k; i++){
        for(int j=i; j<k; j++){
            cou[v[i]+v[j]]--;
        }
    }
    int ans=0;
    for(int i=0; i<cou.size(); i++){
        if(cou[i])
            ans++;
    }
    return ans;
}
int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int n,k;
    cin >> n >> k;
    vector<int> v(k);
    for(int i=0; i<k; i++){
        cin >> v[i];
    }
    cout << solve(n,k,v);
}
